<html>
<head>
    <title>Convert App</title>
    <link rel="stylesheet" href="./assets/styles.css">
    <script src="https://unpkg.com/vue@3"></script>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
</head>
<body>
<div class="main-container" id="app">
    <div class="row">
        <div class="col heading">
            <h1>Convert App</h1>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <input type="number" v-model="number" @input="convert">
        </div>
        <div class="col">
            <!--<select v-model="language">
                <option value="fa">Farsi</option>
                <option value="en">English</option>
            </select>-->
            <input type="text" v-model="language" value="fa_IR">
        </div>
        <div class="col">
            <!--<button @click="convert">Convert</button>-->
        </div>
    </div>
    <div class="row" v-if="message">
        <div class="col response">
            <p>{{ message }}</p>
        </div>
    </div>
</div>
</body>
<script>
    const {createApp} = Vue
    axios.defaults.baseURL = 'https://manchester.storebox.ir';
    createApp({
        data() {
            return {
                number: 0,
                language: 'fa',
                message: null
            }
        },
        methods: {
            async convert() {
                try {
                    if(this.number !== null) {
                        const response = await axios.post('api/convert', {
                            number: this.number,
                            language: this.language
                        });
                        this.message = response.data.spellout
                    }
                } catch (e) {
                    console.log(e)
                }

            }
        }
    }).mount('#app')
</script>
</html>